import { createLocalVue, mount, shallowMount } from '@vue/test-utils';
import AppFooter from '../client/components/AppFooter.vue'; // name of your Vue component
import vuetifySetting from '../client/plugins/vuetify.js';
import Vue from 'vue';
import Vuetify from 'vuetify';
import { Meteor } from 'meteor/meteor';
import { Mongo } from 'meteor/mongo';

let wrapper;

beforeEach(() => {
    Vue.use(Vuetify);
    wrapper = shallowMount(AppFooter, {
        propsData: {},
        mocks: {},
        stubs: {},
        methods: {},
        vuetify: vuetifySetting
    });
});

afterEach(() => {
    wrapper.destroy();
});

describe('AppFooter', () => {
    test('is a Vue instance', () => {
        debugger
        expect(wrapper.isVueInstance).toBeTruthy();
    });

    test("MARCO PACS rendered", () => {
        expect(wrapper.text()).toContain(`©2005-${ new Date().getFullYear()} MARCO PACS`);
    })

    test("فارسی rendered", () => {
        expect(wrapper.text()).toContain(`فارسی`);
    })


});